.three_card_hover {
  background-color: #fff;
}

.three_card_hover .heading {
  font-weight: 700;
  font-size: clamp(1.25rem, 1.1571rem + 0.381vw, 1.5rem);
  line-height: 100%;
  letter-spacing: 0%;
}

.three_card_hover .description {
  font-weight: 400;
  font-size: clamp(0.875rem, 0.8286rem + 0.1905vw, 1rem);
  line-height: 150%;
  letter-spacing: 0%;
}

.h-card {
  position: relative;
  width: 100%;
  height: 500px;
  border-radius: 10px;
  overflow: hidden;
  padding: 15px 20px;
}

.h-card img {
  position: absolute;
  inset: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
  display: block;
}

.h-content-container {
  padding: 30px;
  background-color: #fff;
  border-radius: 10px;
  height: 148px;
  overflow: hidden;
  transition: height 0.4s ease;
  position: absolute;
  width: 90%;
  bottom: 20px;
  left: 5%;
}

.h-card-btn-container {
  opacity: 0;
  visibility: hidden;
  transition:
    opacity 0.4s ease,
    visibility 0.4s ease;
}

/* On hover */
.h-card:hover .h-content-container {
  height: 200px;
}

.h-card:hover .h-card-btn-container {
  opacity: 1;
  visibility: visible;
}

.h-card-heading {
  font-weight: 700;
  font-size: clamp(1.25rem, 1.1571rem + 0.381vw, 1.5rem);
  line-height: 100%;
  letter-spacing: 0%;
}
.h-card-description {
  font-weight: 400;
  font-size: clamp(0.875rem, 0.8286rem + 0.1905vw, 1rem);
  line-height: 100%;
  letter-spacing: 0%;
}

.h-card-btn-container {
  padding-top: 15px;
  border-top: 1px solid #d4d6dd;
}

.h-card-btn {
  display: flex;
  align-items: center;
  gap: 10px;

  height: 42px;

  text-decoration: none;
}

/* Text Button */

.h-card-btn__text {
  position: relative;
  isolation: isolate;
  overflow: hidden;

  display: flex;
  align-items: center;
  justify-content: center;

  height: 100%;
  padding: 0 15px;

  background-color: #ef4129;
  color: #ffffff;

  border-radius: 100px;

  font-size: clamp(0.875rem, 0.8286rem + 0.1905vw, 1rem);
  font-weight: 700;
  line-height: 100%;

  transition: color 0.4s ease;
}

.h-card-btn__text > span {
  position: relative;
  z-index: 1;
}

.h-card-btn__text::before {
  content: "";

  position: absolute;
  inset: 0;

  background-color: #ffffff;
  border-radius: 100px;

  transform: scaleX(0);
  transform-origin: center;

  transition: transform 0.4s ease;

  z-index: 0;
}

.h-card-btn:hover .h-card-btn__text::before {
  transform: scaleX(1);
}

.h-card-btn:hover .h-card-btn__text {
  color: #000000;
}

/* Arrow */

.h-card-btn__arrow {
  display: flex;
  align-items: center;
  justify-content: center;

  height: 100%;
  padding: 0 10px;

  background-color: #ef4129;
  color: #ffffff;

  border-radius: 100px;
}

.h-card-btn__arrow svg {
  display: block;

  transition: transform 0.4s ease;
}

.h-card-btn:hover .h-card-btn__arrow svg {
  transform: rotate(45deg);
}

@media (min-width: 992px) and (max-width: 1439px) {
  .h-card-heading {
    font-size: 22px;
  }
  .three_card_hover .description {
    font-size: 15px;
  }
  .h-content-container {
    padding: 25px;
  }
  .h-card-heading {
    font-size: 22px;
  }
  .h-card-description {
    font-size: 15px;
  }
}

/* Mobile */
@media (max-width: 767px) {
  .h-content-container {
    height: auto;
    min-height: 148px;
    overflow: visible;
    padding: 20px;
  }

  .h-card-btn-container {
    opacity: 1;
    visibility: visible;
  }
}
